Subject: bug#10808: gnus-summary-cancel-article does not check from-address of current group

From: Peter Münster <[email-masked]>
Date: Mon, 03 Feb 2014 02:09:29 +0100

On Mon, Feb 03 2014, Lars Ingebrigtsen wrote:

> `user-mail-address' is a special variable, so it's that value that's
> being used when `message-cancel-news' is being called.

Perhaps you're right, I don't know. I can just tell you, that the
`setq user-mail-address' evaluates to "[email-masked]" (shown by
edebug) and inside the `message-cancel-news' function, the value is
"[email-masked]" (I've inserted a "(message user-mail-address)" at the
beginning of the function.).

My emacs is from bzr-trunk and my gnus from git-trunk, both updated
about 2 days ago.

-- 
           Peter